\subsection{Факторизация и декомпозиция МДНФ}
\vspace{-5mm}
\begin{equation*}
    \begin{cases}
        \begin{aligned}[l]
        C_0 &= (\overline{a}_1 \overline{a}_2 a_3 b_1 b_2 b_3) \vee (\overline{a}_1 a_2 \overline{a}_3 b_1 b_2) \vee (\overline{a}_1 a_2 b_1 b_2 \overline{b}_3) \vee (\overline{a}_1 a_2 a_3 b_1 \overline{b}_2 b_3) \vee (a_1 \overline{a}_2 \overline{a}_3 b_1 \overline{b}_2) \vee \\ 
            &  (a_1 \overline{a}_2 b_1 \overline{b}_2 \overline{b}_3) \vee (a_1 \overline{a}_2 a_3 \overline{b}_1 b_2 b_3) \vee (a_1 a_2 \overline{a}_3 \overline{b}_1 b_2) \vee (a_1 a_2 \overline{b}_1 b_2 \overline{b}_3) \vee (a_1 a_2 a_3 \overline{b}_1 \overline{b}_2 b_3) = \\
            &  (\overline{a}_3 \vee \overline{b}_3) (a_1 \overline{b}_1 a_2 b_2 \vee a_1 b_1 \overline{a}_2 \overline{b}_2 \vee \overline{a}_1 b_1 a_2 b_2) \vee a_3 b_3 (a_2 \vee b_2)(\overline{a}_2 \vee \overline{b}_2)(a_1 \vee b_1)(\overline{a}_1 \vee \overline{b}_1) \\
        C_1 &= (\overline{a}_1 a_3 \overline{b}_1 b_2 b_3) \vee (\overline{a}_1 a_2 \overline{b}_1 b_2) \vee (\overline{a}_1 a_2 \overline{a}_3 b_1 \overline{b}_2) \vee (\overline{a}_1 a_2 a_3 \overline{b}_1 b_3) \vee (a_1 \overline{a}_2 \overline{a}_3 \overline{b}_1) \vee (a_1 \overline{a}_2 \overline{b}_1 \overline{b}_2) \vee \\
            &  (a_1 \overline{a}_3 \overline{b}_1 \overline{b}_2) \vee (a_1 \overline{a}_2 \overline{b}_1 \overline{b}_2) \vee (a_1 \overline{b}_1 \overline{b}_2 \overline{b}_2) \vee (\overline{a}_1 b_1 \overline{b}_2 \overline{b}_2) \vee (\overline{a}_1 \overline{a}_2 b_1 \overline{b}_2) \vee (\overline{a}_1 \overline{a}_2 \overline{a}_3 b_1) \vee \\
            &  (\overline{a}_1 \overline{a}_2 b_1 \overline{b}_2) \vee (a_1 a_2 a_3 b_1 b_2 b_3) = \overline{a}_1 a_2 (\overline{b}_1 b_2 \vee \overline{a}_3 b_1 \overline{b}_2 \vee a_3 \overline{b}_1 \overline{b}_3) \vee a_1 \overline{a}_2 \overline{b}_1 (\overline{a}_3 \vee \overline{b}_3 \vee \overline{b}_2) \vee \\
            &  \overline{b}_2 \overline{b}_3 (a_1 \vee b_1)(\overline{a}_1 \vee \overline{b}_1) \vee a_1 \overline{a}_3 \overline{b}_1 \overline{b}_2 \vee \overline{a}_1 \overline{a}_2 b_1 (\overline{b}_2 \vee \overline{a}_3 \vee \overline{b}_3) \vee a_3 b_2 b_3 (\overline{a}_1 \vee b_1)(a_1 \vee \overline{b}_1) \\
        C_2 &= (\overline{a}_1 a_2 \overline{a}_3 \overline{b}_2) \vee (a_2 \overline{a}_3 \overline{b}_1 \overline{b}_2) \vee (\overline{a}_1 a_2 \overline{b}_2 \overline{b}_3) \vee (a_2 \overline{b}_1 \overline{b}_2 \overline{b}_3) \vee (\overline{a}_2 \overline{b}_1 b_2 \overline{b}_3) \vee (\overline{a}_2 \overline{a}_3 \overline{b}_1 b_2) \vee \\ 
            &  (\overline{a}_1 \overline{a}_2 \overline{a}_3 b_2) \vee (\overline{a}_1 \overline{a}_2 b_2 \overline{b}_3)\vee (\overline{a}_1 a_2 a_3 \overline{b}_1 b_2 b_3)\vee (a_1 \overline{a}_2 a_3 \overline{b}_1 \overline{b}_2 b_3)\vee (a_1 \overline{a}_2 a_3 b_1 b_2 b_3)\vee (a_1 a_2 \overline{a}_3 b_1 b_2)\vee \\ 
            &  (a_1 a_2 b_1 b_2 \overline{b}_3)\vee (a_1 a_2 a_3 b_1 \overline{b}_2 b_3)\vee (\overline{a}_1 \overline{a}_2 a_3 \overline{b}_2 b_3) = \\ 
            &  (\overline{a}_1 \vee \overline{b}_1)(\overline{a}_3 \vee \overline{b}_3) a_2 \overline{b}_2 \vee b_2 (\overline{a}_3 \vee \overline{b}_3)(\overline{a}_2 (\overline{a}_1 \vee \overline{b}_1) \vee a_1 b_1 a_2) \vee a_3 b_3 (\overline{a}_1 \overline{a}_2 \overline{b}_2 \vee \overline{a}_1 a_2 \overline{b}_1 b_2 \vee a_1 a_2 b_1 b_2) \\
        C_3 &= \overline{a}_3 b_3 \vee a_3 \overline{b}_3 = (a_3 \vee b_3)(\overline{a}_3 \vee \overline{b}_3) \\
        V   &= (a_2 a_3 b_1 b_2 b_3) \vee (a_1 b_1 b_2) \vee (a_1 a_3 b_1 b_3) \vee (a_1 a_2 b_1) \vee (a_1 a_2 a_3 b_2 b_3) = \\
            &  a_2 b_2 a_3 b_3 (a_1 \vee b_1) \vee a_1 b_1 (a_2 \vee b_2 \vee a_3 b_3)
        \end{aligned}
    \end{cases}
\end{equation*}


\begin{equation*}
    \begin{cases}
        \begin{aligned}[l]
            z_1 &= a_1 b_1  & S_Q^{z_1} &= 2 \\
            z_2 &= a_2 b_2  & S_Q^{z_2} &= 2 \\
            z_3 &= a_3 b_3  & S_Q^{z_3} &= 2 \\
            z_4 &= a_1 \vee b_1 & S_Q^{z_4} &= 2 \\
            z_5 &= a_2 \vee b_2 & S_Q^{z_5} &= 2 \\
            z_6 &= \overline{a}_1 \vee b_1 & S_Q^{z_6} &= 2 \\
            z_7 &= a_2 \overline{b}_2 & S_Q^{z_7} &= 2 \\
            z_8 &= a_1 \vee \overline{b}_1 & S_Q^{z_9} &= 2 \\
            z_{9} &= \overline{z}_1 z_4   & S_Q^{z_{10}} &= 2\\
            z_{10} &= z_3 \vee z_5         & S_Q^{z_{11}} &= 2\\

            C_0 &= \overline{z}_1 z_4 (z_2 \overline{z}_3 \vee \overline{z}_2 z_3 z_5) \vee z_1 \overline{z}_{10} & S_Q^{C_0} &= 14\\
            C_1 &= \overline{z}_4 (z_2 \vee a_2 a_3 \overline{b}_3) \vee \overline{a}_3 (z_7 \overline{z}_8 \vee \overline{z}_6\overline{b}_2) \vee z_9 (\overline{z}_5 \vee \overline{z}_3 \overline{a}_2 \vee  \overline{b}_2 \overline{b}_3) \vee z_3 z_6 z_8 b_2 & S_Q^{C_1} &= 28\\
            C_2 &= \overline{z}_1 \overline{z}_3 z_7 \vee \overline{z}_3 b_2 (\overline{z}_1 \vee a_2)(z_1 \vee \overline{a}_2) \vee z_3 (\overline{z}_5 \overline{a}_1 \vee z_2 \overline{z}_9) & S_Q^{C_2} &= 22\\
            C_3 &= z_3(a_3 \vee b_3) & S_Q^{C_3} &= 3 \\\hfill
            V   &= z_2 z_3 z_4 \vee z_1 z_{10} & S_Q^{V} &= 7
        \end{aligned}
    \end{cases}
\end{equation*}
$S_Q^f = 104$


\subsection{Факторизация и декомпозиция МКНФ}

\begin{equation*}
    \begin{cases}
        \begin{aligned}[l]
        C_0 & = (a_2 \vee a_3 \vee b_1)(a_1 \vee a_2 \vee a_3)(a_1 \vee b_1)(a_2 \vee b_1 \vee b_2)(a_1 \vee b_2 \vee b_3)(b_1 \vee b_2 \vee b_3)(\overline{a}_2 \vee a_3 \vee b_2) \\
            & (a_2 \vee a_3 \vee \overline{b}_2)(a_2 \vee \overline{b}_2 \vee b_3)(\overline{a}_2 \vee \overline{a}_3 \vee \overline{b}_2 \vee \overline{b}_3)(\overline{a}_1 \vee \overline{b}_1 \vee \overline{b}_2)(\overline{a}_1 \vee \overline{a}_2 \vee \overline{a}_3 \vee \overline{b}_1)(a_2 \vee \overline{a}_3 \vee b_2 \vee \overline{b}_3) = \\ 
            & = (a_1 b_1 \vee (a_2 \vee a_3)(b_2 \vee b_3))(b_1 \vee a_1 (a_2 \vee b_2))(\overline{b}_2 \vee (\overline{a}_2 \vee \overline{a}_3 \vee \overline{b}_3)(\overline{a}_1 \vee \overline{b}_1)(a_2 \vee a_3 b_3)) \\
            & (\overline{b}_3 \vee (\overline{a}_1 \vee \overline{a}_2 \vee \overline{b}_1)(a_2 \vee b_2 \vee \overline{b}_3))(\overline{a}_2 \vee a_3 \vee b_2)\\  
        C_1 &=(a_1 \vee a_3 \vee b_1 \vee b_2)(a_1 \vee a_2 \vee a_3 \vee b_1)(a_1 \vee a_2 \vee b_1 \vee b_3)(a_1 \vee b_1 \vee b_2 \vee b_3)(a_1 \vee \overline{a}_3 \vee \overline{b}_1 \vee \overline{b}_2 \vee \overline{b}_3) \\
            & (a_1 \vee \overline{a}_2 \vee \overline{b}_1 \vee \overline{b}_2)(a_1 \vee \overline{a}_2 \vee \overline{a}_3 \vee \overline{b}_1 \vee \overline{b}_3)(\overline{a}_1 \vee a_3 \vee \overline{b}_1)(\overline{a}_1 \vee \overline{b}_1 \vee b_2)(\overline{a}_1 \vee \overline{b}_1 \vee b_3) \\
            & (\overline{a}_1 \vee a_2 \vee \overline{a}_3 \vee \overline{b}_2 \vee \overline{b}_3)(\overline{a}_1 \vee \overline{a}_2 \vee b_1 \vee \overline{b}_2)(\overline{a}_1 \vee \overline{a}_2 \vee \overline{a}_3 \vee b_1 \vee \overline{b}_3)(a_1 \vee a_2 \vee \overline{a}_3 \vee b_1 \vee b_2) = \\
            & = (a_1 \vee (\overline{b}_1 \vee (\overline{a}_2 \vee \overline{a}_3 \vee \overline{b}_3)(\overline{b}_2 \vee \overline{a}_2 (\overline{a}_3 \vee \overline{b}_3)))(b_1 \vee (b_2 \vee a_3 b_3 (a_2 \vee \overline{a}_3))(a_2 \vee a_3 b_3))) \\
            & (\overline{a}_1 \vee (a_2 \vee \overline{b}_2 \vee \overline{a}_3 \vee \overline{b}_3)(\overline{b}_1 \vee a_3 b_2 b_3)((\overline{a}_2 \vee b_1) \vee \overline{b}_2(\overline{a}_3 \vee \overline{b}_3))) \\
        C_2 &=(a_2 \vee a_3 \vee b_2)(a_2 \vee b_2 \vee b_3)(a_1 \vee a_2 \vee \overline{a}_3 \vee \overline{b}_2 \vee \overline{b}_3)(a_1 \vee \overline{a}_2 \vee a_3 \vee \overline{b}_2)(a_1 \vee \overline{a}_2 \vee \overline{b}_2 \vee b_3) \\
            & (a_1 \vee \overline{a}_2 \vee \overline{a}_3 \vee b_2 \vee \overline{b}_3)(\overline{a}_2 \vee \overline{a}_3 \vee \overline{b}_1 \vee \overline{b}_2 \vee \overline{b}_3)(\overline{a}_1 \vee a_2 \vee a_3 \vee \overline{b}_1) (\overline{a}_1 \vee a_2 \vee \overline{b}_1 \vee b_2) \\
            & (\overline{a}_1 \vee a_3 \vee \overline{b}_1 \vee b_2)(\overline{a}_1 \vee a_2 \vee \overline{b}_1 \vee b_3)(\overline{a}_1 \vee \overline{b}_1 \vee b_2 \vee b_3)(\overline{a}_1 \vee \overline{a}_3 \vee b_1 \vee \overline{b}_2 \vee \overline{b}_3)(\overline{a}_1 \vee \overline{a}_2 \vee b_1 \vee \overline{b}_2) \\
            & (\overline{a}_1 \vee \overline{a}_2 \vee \overline{a}_3 \vee b_1 \vee \overline{b}_3) = (\overline{a}_1 \vee (\overline{b}_1 \vee (a_2 \vee a_3)(b_2 \vee a_2 a_3)(b_3 \vee a_2 b_2))(b_1 \vee (\overline{a}_3 \vee \overline{b}_3 \vee \overline{b}_2) \\
            & (\overline{a}_2 \vee \overline{b}_2 (\overline{a}_3 \vee \overline{b}_3)))) (\overline{a}_2 \vee \overline{a}_3 \vee \overline{b}_1 \vee \overline{b}_2 \vee \overline{b}_3)((a_2 \vee b_2) \vee a_3 b_3)(a_1 \vee (a_2 \vee \overline{a}_3 \vee \overline{b}_2 \vee \overline{b}_3) \\
            & (\overline{a}_2 \vee (\overline{a}_3 \vee b_2 \vee \overline{b}_3)(\overline{b}_2 \vee a_3 b_3))) \\
        C_3 & = (a_3 \vee b_3)(\overline{a}_3 \vee \overline{b}_3)\\
        V   &=(a_3 \vee b_1)(a_1 \vee a_3)(a_1 \vee a_2)(a_1 \vee b_1)(a_2 \vee b_1)(a_2 \vee a_3 \vee b_2)(a_1 \vee b_2)(b_1 \vee b_2)(a_1 \vee b_3)(b_1 \vee b_3) \\
            & (a_2 \vee b_2 \vee b_3) = (a_1 \vee a_2 a_3 b_1)(b_1 \vee a_2 a_3)(b_2 \vee a_1 b_1 (a_2 \vee a_3))(b_3 \vee a_1 b_1 a_2)
        \end{aligned}
    \end{cases}
\end{equation*}

\begin{equation*}
    \begin{cases}
        \begin{aligned}[l]
            z_1 &= a_1 b_1 & S_Q^{z_1} &= 2 \\
            z_2 &= a_2 b_2 & S_Q^{z_2} &= 2 \\
            z_3 &= a_3 b_3 & S_Q^{z_3} &= 2 \\
            z_4 &= a_2 \vee b_2 & S_Q^{z_4} &= 2\\
            z_5 &= z_3 b_2 & S_Q^{z_5} &= 2\\
            z_6 &= a_2 \vee a_3 & S_Q^{z_6} &= 2\\
            z_7 &= a_2 a_3 & S_Q^{z_7} &= 2 \\
        
        C_0 & = (z_1 \vee z_6(b_2 \vee b_3))(b_1 \vee a_1 z_6)(\overline{b}_2 \vee \overline{z}_1 (\overline{a}_2 \vee \overline{z}_3)(a_2 \vee z_3)) (\overline{a}_3 \vee (\overline{z}_1 \vee \overline{a}_2)(z_6 \vee \overline{b}_3))\\
            & (\overline{a}_2 \vee a_3 \vee b_2) & S_Q^{C_0} &= 35\\  
        C_1 & = (a_1 \vee (\overline{b}_1 \vee (\overline{a}_2 \vee \overline{z}_3)(\overline{b}_2 \vee \overline{a}_2 \overline{z}_3))(b_1 \vee (b_2 \vee z_3 (a_2 \vee \overline{a}_3))(a_2 \vee z_3))) \\
            & (\overline{a}_1 \vee (a_2 \vee \overline{b}_2 \vee \overline{z}_3)(\overline{b}_1 \vee z_5)((\overline{a}_2 \vee b_1) \vee \overline{b}_2\overline{z}_3)) & S_Q^{C_0} &= 46\\
        C_2 & = (\overline{a}_1 \vee (\overline{b}_1 \vee z_6(b_2 \vee z_7)(b_3 \vee z_2))(b_1 \vee \overline{z}_5(\overline{a}_2 \vee \overline{b}_2 \overline{z}_3)))(\overline{z}_2 \vee \overline{z}_3 \vee \overline{b}_1)(z_6 \vee z_3) \\
            & (a_1 \vee (a_2 \vee \overline{z}_5)(\overline{a}_2 \vee (\overline{z}_3 \vee b_2)(\overline{b}_2 \vee z_3))) & S_Q^{C_2} &= 44\\
        C_3 & = \overline{z}_3(a_3 \vee b_3) & S_Q^{C_3} &= 3\\
        V   & = (a_1 \vee z_7 b_1)(b_1 \vee z_7)(b_2 \vee z_1 z_6)(b_3 \vee z_1 a_2) & S_Q^{V} &= 18
        \end{aligned}
    \end{cases}
\end{equation*}
$S_Q^f = 167$